<?php include('casa/setup.casa.php');

$CodigoTraspaso = DataForms::POST('CodigoTraspaso');
$ProdCodigo = DataForms::POST('ProdCodigo');
$Cantidad = DataForms::POST('Cantidad');
$Num = DataForms::POST('Num');

//validar campos vacios
if(trim($Cantidad)=='' or $Cantidad<=0){	
	echo '<script>$("#txtProd_'.$Num.'").focus();</script>';
	exit();
} 
//validar cantidad
$sql = "SELECT * FROM inventarios_productos 
WHERE prod_codigo = '$ProdCodigo';";	
$db= new DB();
$db->dbSQL($sql);
$db->next();
$ProdStock = $db->dbField('');
$prod_piezascaja = $db->dbField('prod_piezascaja');
$prod_cantidadcajas = $db->dbField('prod_cantidadcajas');
$prod_unidadesreal = $db->dbField('prod_unidadesreal');
$CantidadRealCajas = number_format($prod_unidadesreal / $prod_piezascaja,0);															
	if($Cantidad>$CantidadRealCajas){
		echo '<script>alert("La Cantidad ingresada no puede sobrepasar a la cantidad disponible...\nCantidad Disponible: '.$CantidadRealCajas.'");</script>';
		exit();
	}
//Guardar traspaso
$sqlTraspaso = "INSERT INTO inventarios_traspasos(
	traspa_codigo,ubica_codigo,
	prod_codigo,prod_cantidad,
	traspa_usid
)VALUES(
	'$CodigoTraspaso','0',
	'$ProdCodigo','$Cantidad',
	'$USID'
);";	
$db->dbSQL($sqlTraspaso);
//mostrar todos los registros previos del Traspaso segun el codigo de traspaso
echo "<script>$('#CarritoTras').load('".PATH_HOME.'traspasos-carrito/'.$CodigoTraspaso."&rnd=".uniqid()."');</script>";
?>		